> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/0-struktura-i-nawigacja/nawigacja/link-externallink.md).

# Link - ExternalLink

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

Component of a link leading to any external link.

![](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/8IYdgdsAGKp8jo0p9A7R/27s_files/image2025-5-16_12-58-47.png)

✅ **When to use:**

* You want to enable navigation to an external address or another form.

:x: **When not to use:**

* The link should lead to another page within the application. **Use**: [PageNavigationLink](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/0-struktura-i-nawigacja/nawigacja/link-wewnetrzny-pagenavigationlink.md)

## Component properties

<table><thead><tr><th>Eximee Designer property</th><th width="192.0499267578125">Attribute name in the Source</th><th>Description</th></tr></thead><tbody><tr><td><strong>Redirect link</strong> (section <strong>Basic properties</strong>)</td><td>href</td><td>Link address</td></tr><tr><td><strong>Anchor name</strong> (section <strong>Basic properties</strong>)</td><td>linkName</td><td>Anchor name</td></tr><tr><td><strong>Link opening method</strong> (section <strong>Basic properties</strong>)</td><td>target</td><td>Specifies how the link is opened (empty by default, loading the link in the same browser tab). If the link is to be loaded in a new tab, enter "_blank" (for the same one, "_top").</td></tr><tr><td><strong>Content</strong> (section <strong>Basic properties</strong>)</td><td>content</td><td>Link text</td></tr><tr><td><strong>Text displayed when hovering the mouse over the link</strong> (section <strong>Basic properties</strong>)</td><td>title</td><td>Text to display as a tooltip when hovering the mouse over the link</td></tr></tbody></table>

> More information about component properties: [Common component properties](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

## Populating from an external data source

For the component, you can attach a service that will populate the component with data for the fields:

* href
* linkName
* target

To populate the component from an external URL, simply attach the script *EchoServiceScript*, in which the input will be the requested URL address or a session variable.

![Figure 1. Example appearance of the component on the application](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/WOGcruu2dbxGjeAvHylm/27s_files/image2025-5-16_13-1-12.png)

{% hint style="info" %}
Demo application: demoExternalLink
{% endhint %}

{% hint style="info" %}
♿WCAG: [Good WCAG practices for low-code dev](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/0-struktura-i-nawigacja/nawigacja/link-externallink.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
